---
# tasks file for yugabase

- name: Install yugabyte related pre-requirement packages
  yum:
    name:
      - python3
      - curl
      - wget
      - ntp
    state: present

- name: Ensure yugabyte group is created
  group:
    name: yugabyte
    state: present
  
- name: Create yugabyte user
  user:
    name: yugabyte
    groups: yugabyte

- name: Generate public key for yugabyte user
  user:
    name: yugabyte
    generate_ssh_key: yes
    ssh_key_bits: 2048
    ssh_key_file: .ssh/id_rsa

- name: Add yugabyte to sudoers
  lineinfile:
    path: /etc/sudoers.d/ansibleuser
    line: 'yugabyte ALL=(ALL) NOPASSWD: ALL'
    state: present
    mode: 0440
    create: yes
    validate: 'visudo -cf %s'

- name: Ensure prometheus group is created
  group:
    name: prometheus
    state: present
  
- name: Create prometheus user
  user:
    name: prometheus
    groups: prometheus

- name: Update sshd config for UseDNS
  blockinfile:
    path: /etc/ssh/sshd_config
    block: |
      UseDNS no

- name: Update limits conf
  blockinfile:
    path: /etc/security/limits.conf
    block: |
        *   	hard    	core    	unlimited
        *   	soft    	core    	unlimited

- name: Update swap settings
  ansible.posix.sysctl:
    name: vm.swappiness
    value: '0'
    state: present